## lintian-brush 0.81

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)

check:: style testsuite tag-status

FIXERS = $(patsubst fixers/%.sh,%,$(wildcard fixers/*.sh)) $(patsubst fixers/%.py,%,$(wildcard fixers/*.py))

$(patsubst %,check-fixer-%,$(FIXERS)): check-fixer-%:
	PYTHONPATH=$(PWD):$(PYTHONPATH) python3 -m lintian_brush.tests.fixers --fixer=$*

.PHONY: style testsuite unsupported

style::
	flake8

typing::
	mypy lintian_brush fixers

tag-status::
	python3 tag-status.py --check

testsuite::
	python3 setup.py test

README.md::
	PYTHONPATH=$(PWD) ./buildtools/update-readme.py

lintian-tags:
	lintian-explain-tags --list-tags > lintian-tags

.PHONY: lintian-tags lintian-brush-tags

lintian-brush-tags:
	PYTHONPATH=$(PWD) python3 -m lintian_brush --list-tags 2> lintian-brush-tags

unsupported: lintian-tags lintian-brush-tags
	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags

update-readme:
	brz diff README.md
	$(MAKE) README.md
	brz diff README.md || brz commit -m "Update list of fixers in README.md." README.md

release: check update-readme
	./setup.py sdist
	twine upload --sign dist/lintian-brush-$(VERSION).tar.gz

update-spdx:
	python3 download-license-data.py > spdx.json
	brz diff spdx.json || brz commit -m "Update SPDX license data." spdx.json

update-renamed-tags:
	python3 renamed-tags.py
	brz diff renamed-tags.json || brz commit -m "Update renamed tags." renamed-tags.json

update: update-spdx update-readme update-renamed-tags

=== debian/changelog ===
lintian-brush (0.81) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Rename papt-dpmt-merged to python-teams-merged.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Oct 2020 10:20:56 +0000

lintian-brush (0.80) unstable; urgency=medium

  * Fix changelog update detection when running lintian-brush in shallow
    git repositories.
  * Add guessing from repology. Closes: #959827
  * Add fixer for maintainer-script-empty.
  * Add deb-scrub-obsolete script for removing obsolete version constraints.
  * Add fixer for debian-watch-contains-dh_make-template.
  * Bump debmutate to 0.9.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Sep 2020 19:25:41 +0000

lintian-brush (0.79) unstable; urgency=medium

  * Add fixer for papt-dpmt-merged.
  * Add fixers for old-dpmt-vcs and old-papt-vcs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 25 Sep 2020 14:12:49 +0000

lintian-brush (0.78) unstable; urgency=medium

  * Support creating patches to upstreams in the case when there are no
    existing upstream patches.
  * Depend on newer debmutate (>= 0.6).
  * When removing lintian overrides, also drop the associated comments.
  * In control files, don't create new empty lines when stripping
    whitespace.
  * Bump default urgency to medium. See
    https://salsa.debian.org/jelmer/debian-janitor/-/issues/138
  * Fix branch from vcswatch in --diligent mode.
  * apply-multiarch-hints: fix Changes-by field.
  * debianize: Make breezy-debian optional.
  * Add debianize(1) manpage.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Sep 2020 18:01:20 +0000

lintian-brush (0.77) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Scan for 'fossil clone' commands in README.
  * Add debhelper compat versions for some more ubuntu releases.

  [ Edwards Betts ]
  * Correct several spelling mistakes.

  [ Jelmer Vernooĳ ]
  * Add --scan option to guess-upstream-metadata.
  * Convert debian/upstream/metadata with multiple documents to a single
    document.
  * Add fixer field-name-typo-in-upstream-metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 07 Sep 2020 22:26:31 +0000

=== tests/changelog-has-duplicate-line/already-released/in/debian/changelog ===
blah (5.42+dfsg1-2) unstable; urgency=medium

  * New upstream release.
  * Fix day-of-week for changelog entry 4.23-1.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Dec 2019 15:25:35 +0000

blah (5.42+dfsg1-1) unstable; urgency=medium

 * Initial Release.
 * Initial Release.

 -- Somebody <somebody@example.com>  Fri, 25 Jan 2019 00:15:07 +0100

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               decopy,
               devscripts,
               dh-python,
               dos2unix,
               python3-all,
               python3-bs4,
               python3-breezy (>= 3.1.0),
               python3-breezy.tests,
               python3-dulwich (>= 0.19.7),
               python3-distro-info,
               python3-debian,
               python3-debmutate (>= 0.9),
               python3-iniparse,
               python3-pyinotify [linux-any],
               python3-levenshtein,
               python3-setuptools,
               python3-ruamel.yaml,
               python3-toml,
               gpg,
               lintian,
               debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: all
Depends: devscripts,
         python3-breezy (>= 3.1.0),
         python3-debian,
         python3-debmutate (>= 0.9),
         python3-dulwich (>= 0.19.7),
         python3-distro-info,
         python3-iniparse,
         python3-ruamel.yaml,
         ${misc:Depends},
         ${python3:Depends}
Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy, python3-bs4
Suggests: gnome-pkg-tools, postgresql-common, breezy-debian
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 80
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

## lintian-brush 0.82

=== debian/changelog ===
lintian-brush (0.82) unstable; urgency=medium

  * pkg-perl-vcs: Add fixer for team/pkg-perl/vcs/no-team-url and
    team/pkg-perl/vcs/no-git.
  * Add fixer for team/pkg-perl/testsuite/no-testsuite-header.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 12 Oct 2020 17:30:14 +0000

## lintian-brush 0.83

=== Makefile ===
--- 
+++ 
@@ -53,3 +53,6 @@
 	brz diff renamed-tags.json || brz commit -m "Update renamed tags." renamed-tags.json
 
 update: update-spdx update-readme update-renamed-tags
+
+next:
+	python3 next.py

=== debian/changelog ===
lintian-brush (0.83) unstable; urgency=medium

  * Add guide on writing fixers to doc/.
  * Add fixer for newer-debconf-template - disabled for now.
  * Add fixer for field-name-typo-in-tests-control.
  * Set Security-Contact in debian/upstream/metadata when SECURITY.md is
    present.
  * apply-multiarch-hints: Fix typo in commit message: s/:all/:any/.
  * Require at least gpg 2.1, for import-export support.
  * Use --armor rather than --enarmor when converting signing-key.pgp
    files to signing-key.asc files. Thanks, Simon Josefsson, for
    reporting.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 29 Oct 2020 20:40:30 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,8 @@
                python3-setuptools,
                python3-ruamel.yaml,
                python3-toml,
-               gpg,
+               po-debconf,
+               gpg (>= 2.1),
                lintian,
                debhelper-compat (= 12)
 Standards-Version: 4.5.0
@@ -41,8 +42,8 @@
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy, python3-bs4
-Suggests: gnome-pkg-tools, postgresql-common, breezy-debian
+Recommends: lintian, dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy, python3-bs4
+Suggests: gnome-pkg-tools, postgresql-common, breezy-debian, po-debconf
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 80
  common lintian issues in Debian packages.

## lintian-brush 0.84

=== debian/changelog ===
lintian-brush (0.84) unstable; urgency=medium

  * Avoid loading overrides multiple times, handle renamed tags in
    overrides.
  * Don't remove the Testsuite header for packages compatible with dpkg
    < 1.17.1.
  * Automate updating of information about key packages in different
    releases.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 01 Nov 2020 17:41:16 +0000

## lintian-brush 0.85

=== debian/changelog ===
lintian-brush (0.85) unstable; urgency=medium

  * Add fixer debian-watch-file-old-format.
  * Don't remove unused overrides for the rc-version-greater-than-
    expected-version tag, which is intermittent.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 07 Nov 2020 04:35:06 +0000

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian, python3-iniparse, python3-toml, python3-levenshtein, decopy, po-debconf
Restrictions: allow-stderr

## lintian-brush 0.86

=== debian/changelog ===
lintian-brush (0.86) unstable; urgency=medium

  * Hide fixer for upstream-metadata-in-native-source behind --
    opinionated.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 10 Nov 2020 16:32:53 +0000

## lintian-brush 0.87

=== debian/changelog ===
lintian-brush (0.87) unstable; urgency=medium

  * Cope with empty watch files. Closes: #974958
  * Add fixer for malformed-override.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Nov 2020 00:19:01 +0000

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 Recommends: lintian, dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy, python3-bs4
 Suggests: gnome-pkg-tools, postgresql-common, breezy-debian, po-debconf
 Description: automatically fix lintian problems
- This package contains a set of scripts that can automatically fix more than 80
+ This package contains a set of scripts that can automatically fix more than 140
  common lintian issues in Debian packages.
  .
  It comes with a wrapper script that invokes the scripts, updates

=== tests/debug-symbol-migration-possibly-complete/old/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='amule-dbg (<< 1:2.3.2-2~)'

override_dh_test:
ifneq (${SOME_TEST_THING}, 1)
	dh_test
endif

=== tests/build-depends-on-build-essential/no-build-depends/in/debian/control ===
Source: blah

## lintian-brush 0.88

=== Makefile ===
--- 
+++ 
@@ -48,11 +48,15 @@
 	python3 download-license-data.py > spdx.json
 	brz diff spdx.json || brz commit -m "Update SPDX license data." spdx.json
 
+update-key-package-versions:
+	python3 key-package-versions.py
+	brz diff key-package-versions.json || brz commit -m "Update key package versions." key-package-versions.json
+
 update-renamed-tags:
 	python3 renamed-tags.py
 	brz diff renamed-tags.json || brz commit -m "Update renamed tags." renamed-tags.json
 
-update: update-spdx update-readme update-renamed-tags
+update: update-spdx update-readme update-renamed-tags update-key-package-versions
 
 next:
 	python3 next.py

=== debian/changelog ===
lintian-brush (0.88) unstable; urgency=medium

  * Add fixer for public-upstream-key-in-native-package.
  * Add fixers for setting pgpsigurlmangle and creating
    debian/upstream/signing-key.asc. This effectively does TOFY -
    it'll at least allow catching of changes in the signing key in the future.
    Disabled for the moment, until watch file support in debmutate stabilizes.
  * Update tag names to match lintian. Closes: #976503

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 06 Dec 2020 21:04:32 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dos2unix,
                python3-all,
                python3-bs4,
-               python3-breezy (>= 3.1.0),
+               python3-breezy (>= 3.1.0-8),
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
@@ -33,7 +33,7 @@
 Package: lintian-brush
 Architecture: all
 Depends: devscripts,
-         python3-breezy (>= 3.1.0),
+         python3-breezy (>= 3.1.0-8),
          python3-debian,
          python3-debmutate (>= 0.9),
          python3-dulwich (>= 0.19.7),

## lintian-brush 0.89

=== debian/changelog ===
lintian-brush (0.89) unstable; urgency=medium

  * Add dependency on newer lintian - required for successful test runs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Dec 2020 20:02:09 +0000

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian (>= 2.104.0), python3-iniparse, python3-toml, python3-levenshtein, decopy, po-debconf
Restrictions: allow-stderr

## lintian-brush 0.90

=== debian/changelog ===
lintian-brush (0.90) unstable; urgency=medium

  * Fix use of deb-scrub-obsolete, and add test. Closes: #978982

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Jan 2021 17:58:57 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-toml,
                po-debconf,
                gpg (>= 2.1),
-               lintian,
+               lintian (>= 2.104.0),
                debhelper-compat (= 12)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## lintian-brush 0.92

=== debian/changelog ===
lintian-brush (0.92) unstable; urgency=medium

  * Handle multiple instances of Reference: field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 05 Jan 2021 22:22:44 +0000

lintian-brush (0.91) unstable; urgency=medium

  * Bump minimum version of debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 04 Jan 2021 15:49:19 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.9),
+               python3-debmutate (>= 0.17),
                python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
@@ -35,7 +35,7 @@
 Depends: devscripts,
          python3-breezy (>= 3.1.0-8),
          python3-debian,
-         python3-debmutate (>= 0.9),
+         python3-debmutate (>= 0.17),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian (>= 2.104.0), python3-iniparse, python3-toml, python3-levenshtein, decopy, po-debconf
Restrictions: allow-stderr

Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

## lintian-brush 0.95

=== debian/changelog ===
lintian-brush (0.95) unstable; urgency=medium

  * Add fixer for debian-rules-uses-as-needed-linker-flag.
  * Use rules module from debmutate.
  * deb-scrub-obsolete: don't edit build dependencies for cdbs packages.
    Closes: #981528
  * Explicitly depend on now-split-out upstream-ontologist package.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 01:03:17 +0000

lintian-brush (0.94) unstable; urgency=medium

  * debhelper-but-no-misc-depends: Also handle debhelper-compat.
  * Strip superfluous commas.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Jan 2021 00:36:32 +0000

lintian-brush (0.93) unstable; urgency=medium

  * Improve locking for bzr branches.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 20 Jan 2021 21:55:38 +0000

=== debian/control ===
--- 
+++ 
@@ -14,18 +14,20 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.17),
+               python3-debmutate (>= 0.19),
                python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
                python3-setuptools,
                python3-ruamel.yaml,
                python3-toml,
+               python3-upstream-ontologist,
                po-debconf,
                gpg (>= 2.1),
                lintian (>= 2.104.0),
-               debhelper-compat (= 12)
-Standards-Version: 4.5.0
+               debhelper-compat (= 12),
+               ognibuild
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
 Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
@@ -35,11 +37,13 @@
 Depends: devscripts,
          python3-breezy (>= 3.1.0-8),
          python3-debian,
-         python3-debmutate (>= 0.17),
+         python3-debmutate (>= 0.19),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
          python3-ruamel.yaml,
+         python3-upstream-ontologist,
+         ognibuild,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: lintian, dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy, python3-bs4

## lintian-brush 0.96

=== debian/changelog ===
lintian-brush (0.96) unstable; urgency=medium

  * Add fixer for debian-rules-uses-special-shell-variable.
  * Depend on newer version of debmutate, fixing maintscript
    manipulation.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 15 Feb 2021 19:24:59 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.19),
+               python3-debmutate (>= 0.20),
                python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
@@ -37,7 +37,7 @@
 Depends: devscripts,
          python3-breezy (>= 3.1.0-8),
          python3-debian,
-         python3-debmutate (>= 0.19),
+         python3-debmutate (>= 0.20),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,

## lintian-brush 0.97

=== debian/changelog ===
lintian-brush (0.97) unstable; urgency=medium

  * Drop DEB_LDFLAGS_MAINT_APPEND ratther than leaving it empty.
  * Add fixer for obsolete-url-in-packaging.
  * Add basic fixer for debian-rules-parses-dpkg-parsechangelog.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 21 Feb 2021 23:41:21 +0000

## lintian-brush 0.99

=== debian/changelog ===
lintian-brush (0.99) unstable; urgency=medium

  * Also update 'set -e' in postrm files. Closes: #983347

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Feb 2021 17:53:37 +0000

lintian-brush (0.98) unstable; urgency=medium

  * Add fixer for cute-field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Feb 2021 16:29:57 +0000

=== tests/changelog-has-duplicate-line/simple/in/debian/changelog ===
blah (5.42+dfsg1-2) UNRELEASED; urgency=medium

  * New upstream release.
  * Fix day-of-week for changelog entry 4.23-1.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Dec 2019 15:25:35 +0000

## lintian-brush 0.102

=== debian/changelog ===
lintian-brush (0.102) unstable; urgency=medium

  * Report how many changes were skipped because of lintian overrides.
    Closes: #982883
  * Various improvements to debianize.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Mar 2021 20:43:53 +0000

lintian-brush (0.101) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Drop unnecesary toml dependencies.
  * Improve handling of generated debcargo fields.
  * Depend on python3-toml to run tests - it's a recommended dependency
    of upstream-ontologist.
  * Add fixer for extended-description-contains-empty-paragraph.
  * Add --allow-reformatting argument to deb-scrub-obsolete.

  [ Richard Laager ]
  * Correct section name for gbp-dch in lintian-brush.conf manapage.

  [ Jelmer Vernooĳ ]
  * Inhibit log file writing when detecting debhelper buildsystem.
    Thanks, Niels Thykier for the suggestion.
  * Don't update changelog for inaugural unreleased entry.

  [ Gordon Ball, Jelmer Vernooĳ ]
  * Add fixer debian-watch-file-uses-old-github-pattern.

  [ Jelmer Vernooĳ ]
  * Add fixer to remove obsolete maintscript entries. Closes: #959815

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Mar 2021 17:57:18 +0000

lintian-brush (0.100) unstable; urgency=medium

  * Drop ognibuild to recommends; it's only used by debianize.
  * Read field lists from lintian.
  * Add support for fixing some things in debcargo.toml.
  * Enable upstream signing key updating.
  * debian-rules-uses-as-needed-linker-flag: handle exporting of
    variables without assignment.
  * declares-possibly-conflicting-debhelper-compat-versions: Remove
    debian/compat if it conflicts with control field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 06 Mar 2021 05:03:32 +0000

=== tests/binary-control-field-duplicates-source/debcargo/in/debian/changelog ===
rust-foo (0.1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Mar 2021 21:54:19 +0000

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,16 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.20),
+               python3-debmutate (>= 0.21),
                python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
                python3-setuptools,
                python3-ruamel.yaml,
-               python3-toml,
-               python3-upstream-ontologist,
+               python3-upstream-ontologist (>> 0.1.12),
+               python3-docutils,
+               python3-lxml,
+               python3-markdown,
                po-debconf,
                gpg (>= 2.1),
                lintian (>= 2.104.0),
@@ -37,16 +39,15 @@
 Depends: devscripts,
          python3-breezy (>= 3.1.0-8),
          python3-debian,
-         python3-debmutate (>= 0.20),
+         python3-debmutate (>= 0.21),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
          python3-ruamel.yaml,
-         python3-upstream-ontologist,
-         ognibuild,
+         python3-upstream-ontologist (>> 0.1.12),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy, python3-bs4
+Recommends: lintian, dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml
 Suggests: gnome-pkg-tools, postgresql-common, breezy-debian, po-debconf
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 140

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian (>= 2.104.0), python3-iniparse, python3-levenshtein, decopy, po-debconf, python3-toml | python3-upstream-ontologist (>> 0.1.12), python3-markdown, python3-docutils, python3-bs4, python3-lxml
Restrictions: allow-stderr

Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

=== tests/upstream-metadata-file/go/in/debian/control ===
Source: golang-github-blah-blah
Section: devel
Priority: optional
Standards-Version: 4.2.0
Maintainer: Some Maintainer <example@example.com>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any
XS-Go-Import-Path: github.com/blah/blah
Testsuite: autopkgtest-pkg-go

Package: golang-github-blah-blah
Architecture: all
Depends: ${misc:Depends}
Description: blah blah
 blah blah

## lintian-brush 0.104

=== debian/changelog ===
lintian-brush (0.104) unstable; urgency=medium

  * Fix parsing of @if-vendor-is-not in lintian lists files. Closes:
    #986111
  * debian-watch-file-uses-old-github-pattern: Also update watch files
    that uses the 'releases' page.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Mar 2021 18:56:27 +0100

## lintian-brush 0.107

=== debian/changelog ===
lintian-brush (0.107) unstable; urgency=medium

  [ Filippo Giunchedi ]
  * maintainer-also-in-uploaders: Remove uploaders field when empty.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Jul 2021 17:09:54 +0100

lintian-brush (0.106) unstable; urgency=medium

  * Bump required debmutate.
  * Detect gbp-dch use in repositories with subdirectories.
  * Add fixer typo-in-debhelper-override-target.
  * Add missing test dependency on python3-tomlkit. Closes: #989634
  * Add fixer pkg-js-tools-test-is-missing.
  * Add fixer for pypi-homepage.
  * Add fixer for rubygems-homepage.
  * Drop checks for DEB_BUILT_OPTIONS=nocheck when upgrading to
    debhelper 13.
  * Add support for upgrading to Standards-Version 4.5.1.
  * Fix compatibility with Breezy 3.2. Closes: #989633
  * Fix compatibility with newer versions of upstream-ontologist.
    Closes: #988909

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Jun 2021 09:21:23 +0100

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,17 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.21),
+               python3-debmutate (>= 0.30),
                python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
                python3-setuptools,
                python3-ruamel.yaml,
-               python3-upstream-ontologist (>> 0.1.12),
+               python3-upstream-ontologist (>= 0.1.22),
                python3-docutils,
                python3-lxml,
                python3-markdown,
+               python3-tomlkit,
                po-debconf,
                gpg (>= 2.1),
                lintian (>= 2.104.0),
@@ -39,15 +40,15 @@
 Depends: devscripts,
          python3-breezy (>= 3.1.0-8),
          python3-debian,
-         python3-debmutate (>= 0.21),
+         python3-debmutate (>= 0.30),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
          python3-ruamel.yaml,
-         python3-upstream-ontologist (>> 0.1.12),
+         python3-upstream-ontologist (>= 0.1.22),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml
+Recommends: lintian, dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit
 Suggests: gnome-pkg-tools, postgresql-common, breezy-debian, po-debconf
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 140

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian (>= 2.104.0), python3-iniparse, python3-levenshtein, decopy, po-debconf, python3-upstream-ontologist (>= 0.1.22), python3-markdown, python3-docutils, python3-bs4, python3-lxml, python3-tomlkit
Restrictions: allow-stderr

Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

=== tests/out-of-date-standards-version/4.4.0/out/debian/control ===
Source: lintrian-brush
Standards-version: 4.5.1
Build-Depends: debhelper-compat (= 11)

## lintian-brush 0.114

=== debian/changelog ===
lintian-brush (0.114) unstable; urgency=medium

  * Add fixer for obsolete-vim-addon-manager.
  * Default to being verbose when silver-platter is in use.
  * comma-separated-files-in-dep5-copyright: Handle bash style
    expansions.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 25 Sep 2021 02:08:50 +0100

lintian-brush (0.113) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * Bump dependency on breezy to 3.2.1-1, as older versions lack
    Repository.get_revision_deltas. Closes: #994626

  [ Jelmer Vernooĳ ]
  * Clarify that --allow-reformatting will in some cases strip comments.
    Closes: #946744

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 19 Sep 2021 12:34:00 +0100

lintian-brush (0.112) unstable; urgency=medium

  * Use tqdm for progress bars.
  * Bump debmutate dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 14 Sep 2021 17:26:49 +0100

lintian-brush (0.111) unstable; urgency=medium

  * Fix compatibility with newer versions of lintian. Closes: #993921

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 14 Sep 2021 16:58:45 +0100

lintian-brush (0.110) unstable; urgency=medium

  * deb-scrub-obsolete: Both the compat-release and the upgrade-release
    now default to oldstable.
  * Also check Pre-Depends for ${misc:Depends}. Closes: #993528
  * deb-scrub-obsolete: When dropping versioned depends on an essential
    package, drop the entire dependency. Closes: #988933

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Sep 2021 16:01:52 +0100

lintian-brush (0.109) unstable; urgency=medium

  * deb-scrub-obsolete: Don't drop trailing comma's. Closes: #988932
  * Add another old Debian Python email address.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 Aug 2021 09:36:27 +0100

lintian-brush (0.108) unstable; urgency=medium

  * Don't correct override targets for javahelper commands. Thanks,
    Perry.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Aug 2021 23:29:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,19 @@
                dos2unix,
                python3-all,
                python3-bs4,
-               python3-breezy (>= 3.1.0-8),
+               python3-breezy (>= 3.2.1-1),
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.30),
+               python3-debmutate (>= 0.38),
                python3-iniparse,
+               python3-iso8601,
                python3-pyinotify [linux-any],
                python3-levenshtein,
                python3-setuptools,
                python3-ruamel.yaml,
+               python3-tqdm,
                python3-upstream-ontologist (>= 0.1.22),
                python3-docutils,
                python3-lxml,
@@ -27,7 +29,7 @@
                python3-tomlkit,
                po-debconf,
                gpg (>= 2.1),
-               lintian (>= 2.104.0),
+               lintian (>= 2.105.0),
                debhelper-compat (= 12),
                ognibuild
 Standards-Version: 4.5.1
@@ -38,17 +40,19 @@
 Package: lintian-brush
 Architecture: all
 Depends: devscripts,
-         python3-breezy (>= 3.1.0-8),
+         python3-breezy (>= 3.2.1-1),
          python3-debian,
-         python3-debmutate (>= 0.30),
+         python3-debmutate (>= 0.38),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
+         python3-iso8601,
          python3-ruamel.yaml,
+         python3-tqdm,
          python3-upstream-ontologist (>= 0.1.22),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit
+Recommends: lintian (>= 2.105.0), dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit
 Suggests: gnome-pkg-tools, postgresql-common, breezy-debian, po-debconf
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 140

## lintian-brush 0.116

=== debian/changelog ===
lintian-brush (0.116) unstable; urgency=medium

  * Add --team argument to debianize.
  * Fix compatibility with newer versions of lintian. Closes: #1002364

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 22 Dec 2021 14:18:47 +0000

lintian-brush (0.115) unstable; urgency=medium

  * Use dh_assistant for introspection of build systems.
  * deb-scrub-obsolete: Don't touch dependencies on debhelper.
  * Support removing multiple instances of cute-field.
    https://salsa.debian.org/jelmer/debian-janitor/-/issues/239

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Oct 2021 22:10:33 +0100

=== tests/debian-changelog-line-too-long/subitem/in/debian/changelog ===
blah (2.6.0) unstable; urgency=medium

  * New upstream release.
   * Fix blocks/blockedby of archived bugs (Closes: #XXXXXXX). Thanks to somebody who fixed it.

 -- Joe Example <joe@example.com>  Mon, 26 Feb 2018 11:31:48 -0800

=== tests/possible-missing-colon-in-closes/partial/in/debian/changelog ===
blah (0.1) UNRELEASED; urgency=medium

  * Initial release. (partially closes #123123)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 17 Feb 2019 01:03:44 +0000

=== tests/debian-rules-sets-dpkg-architecture-variable/opinionated-simple/in/debian/rules ===
#! /usr/bin/make -f

CONFIGURE_FLAGS := \
	--disable-fem-toolbox \
	--without-gpskca \
	--without-OpenGL \
	--without-gltools \
	--without-OpenDX \
	--without-grape \
	--without-silo

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
  export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
  CONFIGURE_FLAGS += CC=clang
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=libalberta-dbg

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, debhelper (>= 13.5), lintian (>= 2.104.0), python3-iniparse, python3-levenshtein, decopy, po-debconf, python3-upstream-ontologist (>= 0.1.22), python3-markdown, python3-docutils, python3-bs4, python3-lxml, python3-tomlkit
Restrictions: allow-stderr

Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

=== tests/out-of-date-standards-version/4.4.0/out/debian/control ===
Source: lintrian-brush
Standards-version: 4.6.0
Build-Depends: debhelper-compat (= 11)

## lintian-brush 0.118

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 update-readme:
 	brz diff README.md
 	$(MAKE) README.md
-	brz diff README.md || brz commit -m "Update list of fixers in README.md." README.md
+	brz diff README.md || brz commit -m "Update list of fixers in README.md" README.md
 
 release: check update-readme
 	./setup.py sdist
@@ -46,15 +46,15 @@
 
 update-spdx:
 	python3 download-license-data.py > spdx.json
-	brz diff spdx.json || brz commit -m "Update SPDX license data." spdx.json
+	brz diff spdx.json || brz commit -m "Update SPDX license data" spdx.json
 
 update-key-package-versions:
 	python3 key-package-versions.py
-	brz diff key-package-versions.json || brz commit -m "Update key package versions." key-package-versions.json
+	brz diff key-package-versions.json || brz commit -m "Update key package versions" key-package-versions.json
 
 update-renamed-tags:
 	python3 renamed-tags.py
-	brz diff renamed-tags.json || brz commit -m "Update renamed tags." renamed-tags.json
+	brz diff renamed-tags.json || brz commit -m "Update renamed tags" renamed-tags.json
 
 update: update-spdx update-readme update-renamed-tags update-key-package-versions

=== debian/changelog ===
lintian-brush (0.118) unstable; urgency=medium

  * Support a UDD_URL environment variable, for contacting an
    alternative UDD.
  * Update to lintian's new tag names.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Dec 2021 19:41:30 +0000

lintian-brush (0.117) unstable; urgency=medium

  * Don't assume that no patches means there are is no delta vs
    upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 20:16:42 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.38),
+               python3-debmutate (>= 0.41),
                python3-iniparse,
                python3-iso8601,
                python3-pyinotify [linux-any],
@@ -31,6 +31,7 @@
                gpg (>= 2.1),
                lintian (>= 2.105.0),
                debhelper-compat (= 12),
+               debhelper (>= 13.5),
                ognibuild
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
@@ -42,7 +43,7 @@
 Depends: devscripts,
          python3-breezy (>= 3.2.1-1),
          python3-debian,
-         python3-debmutate (>= 0.38),
+         python3-debmutate (>= 0.41),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
@@ -52,7 +53,7 @@
          python3-upstream-ontologist (>= 0.1.22),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian (>= 2.105.0), dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit
+Recommends: lintian (>= 2.105.0), dos2unix, gpg (>= 2.1), python3-pyinotify, python3-asyncpg, debhelper (>= 13.5), python3-levenshtein, decopy, python3-bs4, ognibuild, python3-docutils, python3-markdown, python3-lxml, python3-tomlkit
 Suggests: gnome-pkg-tools, postgresql-common, breezy-debian, po-debconf
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 140

## lintian-brush 0.120

=== debian/changelog ===
lintian-brush (0.120) unstable; urgency=medium

  * Don't add debhelper dependency when debhelper-compat is present.
    Closes: #1003590

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Jan 2022 23:58:15 +0000

lintian-brush (0.119) unstable; urgency=medium

  * comma-separated-files-in-dep5-copyright: Ignore copyright files that
    are not machine readable.
  * Don't strip whitespace from m4 files.
  * Use workspace interface from newer Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Jan 2022 19:12:06 +0000

=== tests/out-of-date-standards-version/4.1.4/in/debian/changelog ===
blah (0.48) UNRELEASED; urgency=medium

  * Add some things.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Dec 2019 17:20:33 +0000

blah (0.47) unstable; urgency=medium

  * No epoch changes.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Dec 2019 14:50:44 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dos2unix,
                python3-all,
                python3-bs4,
-               python3-breezy (>= 3.2.1-1),
+               python3-breezy (>= 3.2.1+bzr7584),
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
@@ -41,7 +41,7 @@
 Package: lintian-brush
 Architecture: all
 Depends: devscripts,
-         python3-breezy (>= 3.2.1-1),
+         python3-breezy (>= 3.2.1+bzr7584),
          python3-debian,
          python3-debmutate (>= 0.41),
          python3-dulwich (>= 0.19.7),

## lintian-brush 0.120ubuntu1

=== debian/changelog ===
lintian-brush (0.120ubuntu1) jammy; urgency=medium

  * Fix the lintian compatibility code.
  * Relax the lintian-brush version number testing to allow for arbitrary
    suffixes, such as ubuntu1.

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 26 Jan 2022 18:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lintian-brush
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: bash-completion,
                decopy,
                devscripts,

=== tests/debian-rules-sets-dpkg-architecture-variable/opinionated-soft/in/debian/rules ===
#! /usr/bin/make -f

CONFIGURE_FLAGS := \
	--disable-fem-toolbox \
	--without-gpskca \
	--without-OpenGL \
	--without-gltools \
	--without-OpenDX \
	--without-grape \
	--without-silo

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
  export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
  CONFIGURE_FLAGS += CC=clang
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=libalberta-dbg

=== tests/debian-rules-uses-unnecessary-dh-argument/parallel/out/debian/rules ===
#!/usr/bin/make -f

dh:
	dh $@

=== tests/package-uses-deprecated-debhelper-compat-version/build-dep-options/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	./run-upstream-testsuite

=== tests/package-uses-deprecated-debhelper-compat-version/with-rules/out/debian/rules ===
all:
	dh_prep
	dh --with=blah --buildsystem=pybuild


override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

override_dh_install_changelogs:
	dh_install_changelogs -a

override_dh_installinit:
	dh_installinit -R -pracoon -- start 40 S . stop 07 0 1 6 .
	dh_installinit -R -pipsec-tools --name=setkey --no-start -- start 14 S .

override_dh_installsystemd:
	dh_installsystemd -pracoon

override_dh_missing:
	dh_missing --fail-missing

=== tests/homepage-in-binary-package/binary-homepage-differs/in/debian/control ===
Source: blah
Maintainer: Joe Maintainer <joe@example.com>
Homepage: https://www.example.com/blah

Package: blah1
Homepage: https://www.example.com/blah
Description: blah blah
 More blah

Package: blah2
Homepage: https://www.example.com/blah2
Description: blah blah (x2)
 More blah

=== tests/homepage-in-binary-package/binary-homepage-differs/out/debian/control ===
Source: blah
Maintainer: Joe Maintainer <joe@example.com>
Homepage: https://www.example.com/blah

Package: blah1
Description: blah blah
 More blah

Package: blah2
Homepage: https://www.example.com/blah2
Description: blah blah (x2)
 More blah

=== tests/init.d-script-needs-depends-on-lsb-base/simple/in/debian/control ===
Source: blah

Package: blah
Depends: ${misc:Depends}

=== tests/maintainer-also-in-uploaders/simple/out/debian/control ===
Source: blah
Maintainer: Jelmer Vernooij <jelmer@jelmer.uk>
Uploaders: Joe Example <joe@example.com>

Package: blah
Description: blah blah
 blah

=== tests/malformed-override/simple/in/debian/control ===
Source: foo

Package: foo

=== tests/missing-build-dependency-for-dh_-command/exists3/in/debian/control ===
Source: blah
Build-Depends: libc6-dev, debhelper (>= 11)

Package: python3-blah
Description: blah blah
 blah

=== tests/missing-build-dependency-for-dh_-command/simple/out/debian/control ===
Source: blah
Build-Depends: libc6-dev, dh-python | dh-sequence-python3

Package: python3-blah
Description: blah blah
 blah

=== tests/missing-vcs-browser-field/simple/out/debian/control ===
Source: lintian-brush
Vcs-Git: git://github.com/jelmer/lintian-brush
Vcs-Browser: https://github.com/jelmer/lintian-brush

Package: lintian-brush
Description: Testing
 Test test

=== tests/out-of-date-standards-version/4.2.1/out/debian/control ===
Source: lintrian-brush
Standards-version: 4.2.1

=== tests/package-has-no-description/python/in/debian/control ===
Source: dulwich

Package: python3-dulwich
Depends: ${misc:Depends}

=== tests/priority-extra-is-replaced-by-priority-optional/simple/out/debian/control ===
Source: lintian-brush
Priority: optional

Package: lintian-brush
Priority: optional
Description: Testing
 Test test

=== tests/upstream-metadata-file/homepage/in/debian/control ===
Source: golang-github-blah-blah
Section: devel
Priority: optional
Standards-Version: 4.2.0
Maintainer: Some Maintainer <example@example.com>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any
Homepage: https://github.com/j-keck/arping

Package: golang-github-blah-blah
Architecture: all
Depends: ${misc:Depends}
Description: blah blah
 blah blah
